Sync with portage [Mon Nov 26 16:42:52 MSK 2018].

mhiretskiy 1286
root 6 years ago
parent 5220da78a4
commit a944d6b442

Binary file not shown.

Binary file not shown.

@ -1,2 +1,4 @@
DIST postgis-2.4.2.tar.gz 12470881 BLAKE2B 116bb5d1c8f6066d537cac950254923a681babac456d155139dbdd2853b80499f4f9445dad985b94bffffd1d1285a6c78fee0fccb24e301d18147f3cd9230416 SHA512 e268572d5cd009754ef05f5d2eedcac7e362fa47199459c637cd4d9050d2b648d4b2b3746cde0dce5a42be2606a432b64dc905f193e12cf0869e3dd6f820b425
DIST postgis-2.4.3.tar.gz 12601055 BLAKE2B 662b2afe145bc23c77ebda7306d07a20e39c1a598316cee58e1591e65ce1b2d2a3f727f5463ba144711faa55f7c11e4a038b6ad2a76cab760b4fdd43647f09c3 SHA512 95b2c925cb10943e7136aa3b7b08a9ad3d6ff59a3994c653bba52e4c65193d519daa49684b924f68945dd596187aa17e0c713bf0b9e29f8c5973346b279dba1b
DIST postgis-2.4.6.tar.gz 12616474 BLAKE2B 8e33ae7e8ca5ef2a4dd90f64a8e9910118e4ef711444b196f46e4a63f98ff6044709d65a853c5c10de91308658a206965503b6a85a16438ea422becdbbd9bb40 SHA512 eec4276a58549f3cc57d6574186aebc72df0dd7dc2ab9acbaf410604b4d271dee6d5154caacd7297d20493d879434ca78050672e8197ff0fc63a36100c20c66c
DIST postgis-2.5.1.tar.gz 16041872 BLAKE2B 589cf7168d3698737a19d817b8efb91695c2c3f63d6c3aa24189d9a37459a28ca8a7db0450aa2d557699f76cd8e3ab1eec198bd332b294d976330fdc9d8a7f60 SHA512 c6c9c8c5befd945614e92d1062df1d753ca8b7fd69b70226065c2dac77a59783b14ece4da994187079b683ee090ba5a79389ba679f22fce8c20a5afc2c8dfca0

@ -0,0 +1,125 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
POSTGRES_COMPAT=( 9.{3..6} {10..11} )
POSTGRES_USEDEP="server"
inherit autotools eutils postgres-multi versionator
MY_PV=$(replace_version_separator 3 '')
MY_P="${PN}-${MY_PV}"
S="${WORKDIR}/${MY_P}"
DESCRIPTION="Geographic Objects for PostgreSQL"
HOMEPAGE="http://postgis.net"
SRC_URI="http://download.osgeo.org/postgis/source/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="address-standardizer doc gtk static-libs mapbox test topology"
RDEPEND="
${POSTGRES_DEP}
dev-libs/json-c:=
dev-libs/libxml2:2
>=sci-libs/geos-3.5.0
>=sci-libs/proj-4.6.0
>=sci-libs/gdal-1.10.0
address-standardizer? ( dev-libs/libpcre )
gtk? ( x11-libs/gtk+:2 )
mapbox? ( dev-libs/protobuf )
"
DEPEND="${RDEPEND}
doc? (
app-text/docbook-xsl-stylesheets
app-text/docbook-xml-dtd:4.5
dev-libs/libxslt
|| (
media-gfx/imagemagick[png]
media-gfx/graphicsmagick[imagemagick,png]
)
)
virtual/pkgconfig
test? ( dev-util/cunit )
"
PGIS="$(get_version_component_range 1-2)"
REQUIRED_USE="test? ( doc ) ${POSTGRES_REQ_USE}"
# Needs a running psql instance, doesn't work out of the box
RESTRICT="test"
MAKEOPTS+=' -j1'
# These modules are built using the same *FLAGS that were used to build
# dev-db/postgresql. The right thing to do is to ignore the current
# *FLAGS settings.
QA_FLAGS_IGNORED="usr/lib(64)?/(rt)?postgis-${PGIS}\.so"
src_prepare() {
eapply "${FILESDIR}/${PN}-2.2.0-arflags.patch"
local AT_M4DIR="macros"
eautoreconf
postgres-multi_src_prepare
}
src_configure() {
local myargs=""
use gtk && myargs+=" --with-gui"
use address-standardizer || myargs+=" --without-address-standardizer"
use mapbox || myargs+=" --without-protobuf"
use topology || myargs+=" --without-topology"
postgres-multi_foreach econf ${myargs}
}
src_compile() {
postgres-multi_foreach emake
postgres-multi_foreach emake -C topology
if use doc ; then
postgres-multi_foreach emake comments
postgres-multi_foreach emake cheatsheets
postgres-multi_forbest emake -C doc html
fi
}
src_install() {
postgres-multi_foreach emake DESTDIR="${D}" install
postgres-multi_foreach emake -C topology DESTDIR="${D}" install
postgres-multi_forbest dobin ./utils/postgis_restore.pl
dodoc CREDITS TODO loader/README.* doc/*txt
docinto topology
dodoc topology/{TODO,README}
if use doc ; then
postgres-multi_foreach emake DESTDIR="${D}" comments-install
docinto html
postgres-multi_forbest dodoc doc/html/{postgis.html,style.css}
docinto html/images
postgres-multi_forbest dodoc doc/html/images/*
fi
use static-libs || find "${ED}" -name '*.a' -delete
}
pkg_postinst() {
ebegin "Refreshing PostgreSQL symlinks"
postgresql-config update
eend $?
elog "To finish installing PostGIS, follow the directions detailed at:"
elog "http://postgis.net/docs/manual-${PGIS}/postgis_installation.html#create_new_db_extensions"
}

@ -0,0 +1,125 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
POSTGRES_COMPAT=( 9.{3..6} {10..11} )
POSTGRES_USEDEP="server"
inherit autotools eutils postgres-multi versionator
MY_PV=$(replace_version_separator 3 '')
MY_P="${PN}-${MY_PV}"
S="${WORKDIR}/${MY_P}"
DESCRIPTION="Geographic Objects for PostgreSQL"
HOMEPAGE="http://postgis.net"
SRC_URI="http://download.osgeo.org/postgis/source/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="address-standardizer doc gtk static-libs mapbox test topology"
RDEPEND="
${POSTGRES_DEP}
dev-libs/json-c:=
dev-libs/libxml2:2
>=sci-libs/geos-3.5.0
>=sci-libs/proj-4.6.0
>=sci-libs/gdal-1.10.0
address-standardizer? ( dev-libs/libpcre )
gtk? ( x11-libs/gtk+:2 )
mapbox? ( dev-libs/protobuf )
"
DEPEND="${RDEPEND}
doc? (
app-text/docbook-xsl-stylesheets
app-text/docbook-xml-dtd:4.5
dev-libs/libxslt
|| (
media-gfx/imagemagick[png]
media-gfx/graphicsmagick[imagemagick,png]
)
)
virtual/pkgconfig
test? ( dev-util/cunit )
"
PGIS="$(get_version_component_range 1-2)"
REQUIRED_USE="test? ( doc ) ${POSTGRES_REQ_USE}"
# Needs a running psql instance, doesn't work out of the box
RESTRICT="test"
MAKEOPTS+=' -j1'
# These modules are built using the same *FLAGS that were used to build
# dev-db/postgresql. The right thing to do is to ignore the current
# *FLAGS settings.
QA_FLAGS_IGNORED="usr/lib(64)?/(rt)?postgis-${PGIS}\.so"
src_prepare() {
eapply "${FILESDIR}/${PN}-2.2.0-arflags.patch"
local AT_M4DIR="macros"
eautoreconf
postgres-multi_src_prepare
}
src_configure() {
local myargs=""
use gtk && myargs+=" --with-gui"
use address-standardizer || myargs+=" --without-address-standardizer"
use mapbox || myargs+=" --without-protobuf"
use topology || myargs+=" --without-topology"
postgres-multi_foreach econf ${myargs}
}
src_compile() {
postgres-multi_foreach emake
postgres-multi_foreach emake -C topology
if use doc ; then
postgres-multi_foreach emake comments
postgres-multi_foreach emake cheatsheets
postgres-multi_forbest emake -C doc html
fi
}
src_install() {
postgres-multi_foreach emake DESTDIR="${D}" install
postgres-multi_foreach emake -C topology DESTDIR="${D}" install
postgres-multi_forbest dobin ./utils/postgis_restore.pl
dodoc CREDITS TODO loader/README.* doc/*txt
docinto topology
dodoc topology/{TODO,README}
if use doc ; then
postgres-multi_foreach emake DESTDIR="${D}" comments-install
docinto html
postgres-multi_forbest dodoc doc/html/{postgis.html,style.css}
docinto html/images
postgres-multi_forbest dodoc doc/html/images/*
fi
use static-libs || find "${ED}" -name '*.a' -delete
}
pkg_postinst() {
ebegin "Refreshing PostgreSQL symlinks"
postgresql-config update
eend $?
elog "To finish installing PostGIS, follow the directions detailed at:"
elog "http://postgis.net/docs/manual-${PGIS}/postgis_installation.html#create_new_db_extensions"
}

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -49,7 +49,7 @@ src_configure() {
--enable-posix-shm
--enable-threads
$(use_enable static-libs static)
--with-installbuilddir=/usr/share/${PN}/build
--with-installbuilddir="${EPREFIX}"/usr/share/${PN}/build
)
[[ ${CHOST} == *-mint* ]] && export ac_cv_func_poll=no

@ -1,2 +1,2 @@
DIST confuse-3.0.tar.xz 449144 BLAKE2B c8e913aa8b074d55535c35ddce7de1a0f21dade78839f66723272780345d4b5c5f265c2040a4abc9b473a09e221b50450382dff60103198f72384d28d1ab068e SHA512 12279045b772e94d2e29201ab1d7aef1ef8e698780a22d6a282d12f51ccd9a437e7817a4dd5e39bdfc8dae79700b72aa0783b4b983a935d751403d2cffd1161e
DIST confuse-3.2.1.tar.xz 470260 BLAKE2B 5327f7e71379b50620a6c44f1a9f88a0833d4b648874129a1d4eae6ec97a9ca748e80e902b74ba4c7669e2fda0d0bcd603ff95b5f096ca77b3ec7fe67263f0c6 SHA512 738bacf6a3abb9c64666fec103eb18c8456b994e7ba3562bdb090ef4eb33f0330da844de14d658ef44e74f90104f67ceaf408d21ddf0d251f4c6ddd80e0b387c
DIST confuse-3.2.2.tar.xz 473912 BLAKE2B d8df03f4543291afa6d46a36c48f78d25aee7cdcd0fab7a37a639a73cd0562b52a70057075f83f7e4e56bb542a27561a65e3217c458d757345c46a29203e6187 SHA512 c6baea65e064fe7f2d1bde187c6dcbb7f03c31f5d777cb04576f9cc2d94e9c96b7ee202e030e9a2c7eb619deb240d9e76fb12b3528ae5aa0d3abe231354d12c9

@ -1,9 +1,8 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit eutils multilib-minimal
EAPI=7
inherit multilib-minimal
DESCRIPTION="a configuration file parser library"
HOMEPAGE="https://github.com/martinh/libconfuse"
@ -15,16 +14,20 @@ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x
IUSE="nls static-libs"
DEPEND="sys-devel/flex
BDEPEND="
sys-devel/flex
sys-devel/libtool
virtual/pkgconfig
nls? ( sys-devel/gettext )"
RDEPEND="nls? ( virtual/libintl[${MULTILIB_USEDEP}] )"
nls? ( sys-devel/gettext )
"
RDEPEND="
nls? ( virtual/libintl[${MULTILIB_USEDEP}] )
"
DOCS=( AUTHORS )
src_prepare() {
eapply_user
default
multilib_copy_sources
}
@ -40,11 +43,11 @@ multilib_src_configure() {
}
multilib_src_install_all() {
prune_libtool_files
doman doc/man/man3/*.3
dodoc -r doc/html
docinto examples
dodoc examples/*.{c,conf}
find "${D}" -name '*.la' -delete || die
}

Binary file not shown.

@ -1,3 +1 @@
DIST roundcubemail-1.3.6-complete.tar.gz 5529370 BLAKE2B 49fd04d81b7047c61d33007b49aff2fe8d68fb0572d305b51aa0ae997c06e4924a3ff32861c19741f0c4d82adb9abb317781de8c1b324120e57d77f413cfa480 SHA512 fc1627d4b539742524c43b3faaa8cb5d64f934ad03f7cf8a461580a3a38dccb11140d08499b988742a0892534b1eda52f37a50f0911015983b6e27703294c70e
DIST roundcubemail-1.3.7-complete.tar.gz 5533537 BLAKE2B 48d0c8e50d3d4878fa901bde40791bd9f6b11498f1acfed798bdd889817dc58baeec1985ad67b82326b48428f08b40730f301d2383df5a8700cf89bd31c01c0f SHA512 2e6c1e94866750835d843b4f4ea77148e467dfbee3a15e20bd7c9086c11ad9919f0ddc6097c40cacfcdbc2ceacf2f6fb1b7e8546a7fcb9f20d0e5bf84283d724
DIST roundcubemail-1.3.8-complete.tar.gz 5534385 BLAKE2B 2f0cb528d0901d267c74d57baa18d1f057fdd2eb0f872f3cef1053847861998f8c6551fc17506ae365086ed1f86c3ee9e73a96adb2e43c6c32025e7afaf63710 SHA512 34dc9205cd93be6d6551086f4d22654dad7213b4b09000dc4def08357acdc634744ce1f560144a3d3b46e936258e90482e77fc4c691a55c205bcfdfe3745441e

@ -1,99 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit webapp
MY_PN=${PN}mail
MY_P=${MY_PN}-${PV}
DESCRIPTION="A browser-based multilingual IMAP client with an application-like user interface"
HOMEPAGE="https://roundcube.net"
SRC_URI="https://github.com/${PN}/${MY_PN}/releases/download/${PV}/${MY_P}-complete.tar.gz"
# roundcube is GPL-licensed, the rest of the licenses here are
# for bundled PEAR components, googiespell and utf8.class.php
LICENSE="GPL-3 BSD PHP-2.02 PHP-3 MIT public-domain"
KEYWORDS="amd64 arm ppc ppc64 ~sparc x86"
IUSE="enigma ldap managesieve mysql postgres sqlite ssl spell"
REQUIRED_USE="|| ( mysql postgres sqlite )"
# this function only sets DEPEND so we need to include that in RDEPEND
need_httpd_cgi
# :TODO: Support "endriod/qrcode: ~1.6.5" dep (ebuild needed)
RDEPEND="
${DEPEND}
>=dev-lang/php-5.4.0[filter,gd,iconv,json,ldap?,pdo,postgres?,session,sockets,sqlite?,ssl?,unicode,xml]
>=dev-php/PEAR-Auth_SASL-1.1.0
>=dev-php/PEAR-Mail_Mime-1.10.0
>=dev-php/PEAR-Mail_mimeDecode-1.5.5
>=dev-php/PEAR-Net_IDNA2-0.2.0
>=dev-php/PEAR-Net_SMTP-1.7.1
>=dev-php/PEAR-Net_Socket-1.2.1
dev-php/PEAR-Console_CommandLine
dev-php/PEAR-Console_Getopt
dev-php/PEAR-Exception
virtual/httpd-php
enigma? (
>=dev-php/PEAR-Crypt_GPG-1.6.0
app-crypt/gnupg
)
ldap? (
>=dev-php/PEAR-Net_LDAP2-2.2.0
dev-php/PEAR-Net_LDAP3
)
managesieve? ( >=dev-php/PEAR-Net_Sieve-1.4.0 )
mysql? (
|| (
dev-lang/php[mysql]
dev-lang/php[mysqli]
)
)
spell? ( dev-lang/php[curl,spell] )
"
S=${WORKDIR}/${MY_P}
src_prepare() {
default
# Redundant. (Bug #644896)
rm -r vendor/pear || die
}
src_install() {
webapp_src_preinst
dodoc CHANGELOG INSTALL README.md UPGRADING
insinto "${MY_HTDOCSDIR}"
doins -r [[:lower:]]* SQL
doins .htaccess
webapp_serverowned "${MY_HTDOCSDIR}"/logs
webapp_serverowned "${MY_HTDOCSDIR}"/temp
webapp_configfile "${MY_HTDOCSDIR}"/config/defaults.inc.php
webapp_postupgrade_txt en "${FILESDIR}/POST-UPGRADE.txt"
webapp_src_install
}
pkg_postinst() {
webapp_pkg_postinst
ewarn
ewarn "When upgrading from <= 0.9, note that the old configuration files"
ewarn "named main.inc.php and db.inc.php are deprecated and should be"
ewarn "replaced with one single config.inc.php file."
ewarn
ewarn "Run the ./bin/update.sh script to convert those"
ewarn "or manually merge the files."
ewarn
ewarn "The new config.inc.php should only contain options that"
ewarn "differ from the ones listed in defaults.inc.php."
ewarn
}

@ -1,96 +0,0 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit webapp
MY_PN=${PN}mail
MY_P=${MY_PN}-${PV}
DESCRIPTION="A browser-based multilingual IMAP client with an application-like user interface"
HOMEPAGE="https://roundcube.net"
SRC_URI="https://github.com/${PN}/${MY_PN}/releases/download/${PV}/${MY_P}-complete.tar.gz"
# roundcube is GPL-licensed, the rest of the licenses here are
# for bundled PEAR components, googiespell and utf8.class.php
LICENSE="GPL-3 BSD PHP-2.02 PHP-3 MIT public-domain"
KEYWORDS="amd64 arm ppc ppc64 sparc x86"
IUSE="change-password enigma ldap managesieve mysql postgres sqlite ssl spell"
REQUIRED_USE="|| ( mysql postgres sqlite )"
# this function only sets DEPEND so we need to include that in RDEPEND
need_httpd_cgi
# :TODO: Support "endriod/qrcode: ~1.6.5" dep (ebuild needed)
RDEPEND="
${DEPEND}
>=dev-lang/php-5.4.0[filter,gd,iconv,json,ldap?,pdo,postgres?,session,sqlite?,ssl?,unicode,xml]
>=dev-php/PEAR-Auth_SASL-1.1.0
>=dev-php/PEAR-Mail_Mime-1.10.0
>=dev-php/PEAR-Mail_mimeDecode-1.5.5
>=dev-php/PEAR-Net_IDNA2-0.2.0
>=dev-php/PEAR-Net_SMTP-1.7.1
virtual/httpd-php
change-password? (
>=dev-php/PEAR-Net_Socket-1.2.1
dev-lang/php[sockets]
)
enigma? (
>=dev-php/PEAR-Crypt_GPG-1.6.0
app-crypt/gnupg
)
ldap? (
>=dev-php/PEAR-Net_LDAP2-2.2.0
dev-php/PEAR-Net_LDAP3
)
managesieve? ( >=dev-php/PEAR-Net_Sieve-1.4.0 )
mysql? (
|| (
dev-lang/php[mysql]
dev-lang/php[mysqli]
)
)
spell? ( dev-lang/php[curl,spell] )
"
S="${WORKDIR}/${MY_P}"
src_prepare() {
default
# Redundant. (Bug #644896)
rm -r vendor/pear || die
# Remove references to PEAR. (Bug #650910)
cp "${FILESDIR}"/${P}-pear-removed-installed.json \
vendor/composer/installed.json \
|| die
}
src_install() {
webapp_src_preinst
dodoc CHANGELOG INSTALL README.md UPGRADING
insinto "${MY_HTDOCSDIR}"
doins -r [[:lower:]]* SQL
doins .htaccess
webapp_serverowned "${MY_HTDOCSDIR}"/logs
webapp_serverowned "${MY_HTDOCSDIR}"/temp
webapp_configfile "${MY_HTDOCSDIR}"/config/defaults.inc.php
webapp_postupgrade_txt en "${FILESDIR}/POST-UPGRADE.txt"
webapp_src_install
}
pkg_postinst() {
webapp_pkg_postinst
if [[ -n ${REPLACING_VERSIONS} ]]; then
elog "You can review the post-upgrade instructions at:"
elog "${EROOT%/}/usr/share/webapps/${PN}/${PV}/postupgrade-en.txt"
fi
}

Binary file not shown.

@ -1 +1 @@
Mon, 26 Nov 2018 10:08:35 +0000
Mon, 26 Nov 2018 13:08:38 +0000

@ -1 +1 @@
Mon, 26 Nov 2018 10:08:36 +0000
Mon, 26 Nov 2018 13:08:38 +0000

Binary file not shown.

@ -0,0 +1,15 @@
DEFINED_PHASES=compile configure install postinst prepare setup test
DEPEND=postgres_targets_postgres11? ( dev-db/postgresql:11=[server] ) postgres_targets_postgres10? ( dev-db/postgresql:10=[server] ) postgres_targets_postgres9_6? ( dev-db/postgresql:9.6=[server] ) postgres_targets_postgres9_5? ( dev-db/postgresql:9.5=[server] ) postgres_targets_postgres9_4? ( dev-db/postgresql:9.4=[server] ) postgres_targets_postgres9_3? ( dev-db/postgresql:9.3=[server] ) dev-libs/json-c:= dev-libs/libxml2:2 >=sci-libs/geos-3.5.0 >=sci-libs/proj-4.6.0 >=sci-libs/gdal-1.10.0 address-standardizer? ( dev-libs/libpcre ) gtk? ( x11-libs/gtk+:2 ) mapbox? ( dev-libs/protobuf ) doc? ( app-text/docbook-xsl-stylesheets app-text/docbook-xml-dtd:4.5 dev-libs/libxslt || ( media-gfx/imagemagick[png] media-gfx/graphicsmagick[imagemagick,png] ) ) virtual/pkgconfig test? ( dev-util/cunit ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
DESCRIPTION=Geographic Objects for PostgreSQL
EAPI=6
HOMEPAGE=http://postgis.net
IUSE=address-standardizer doc gtk static-libs mapbox test topology postgres_targets_postgres11 postgres_targets_postgres10 postgres_targets_postgres9_6 postgres_targets_postgres9_5 postgres_targets_postgres9_4 postgres_targets_postgres9_3
KEYWORDS=~amd64 ~x86 ~amd64-linux ~x86-linux
LICENSE=GPL-2
RDEPEND=postgres_targets_postgres11? ( dev-db/postgresql:11=[server] ) postgres_targets_postgres10? ( dev-db/postgresql:10=[server] ) postgres_targets_postgres9_6? ( dev-db/postgresql:9.6=[server] ) postgres_targets_postgres9_5? ( dev-db/postgresql:9.5=[server] ) postgres_targets_postgres9_4? ( dev-db/postgresql:9.4=[server] ) postgres_targets_postgres9_3? ( dev-db/postgresql:9.3=[server] ) dev-libs/json-c:= dev-libs/libxml2:2 >=sci-libs/geos-3.5.0 >=sci-libs/proj-4.6.0 >=sci-libs/gdal-1.10.0 address-standardizer? ( dev-libs/libpcre ) gtk? ( x11-libs/gtk+:2 ) mapbox? ( dev-libs/protobuf )
REQUIRED_USE=test? ( doc ) || ( postgres_targets_postgres11 postgres_targets_postgres10 postgres_targets_postgres9_6 postgres_targets_postgres9_5 postgres_targets_postgres9_4 postgres_targets_postgres9_3 )
RESTRICT=test
SLOT=0
SRC_URI=http://download.osgeo.org/postgis/source/postgis-2.4.6.tar.gz
_eclasses_=autotools 1bf086cdd7356f5c9a4acd9727bd2065 desktop b1d22ac8bdd4679ab79c71aca235009d epatch a1bf4756dba418a7238f3be0cb010c54 estack 43ddf5aaffa7a8d0482df54d25a66a1f eutils 6e6c2737b59a4b982de6fb3ecefd87f8 libtool f143db5a74ccd9ca28c1234deffede96 ltprune 08f9e1d9ee0af8f5d9a7854efbcd8c0e multibuild 40fe59465edacd730c644ec2bc197809 multilib b2f01ad412baf81650c23fcf0975fa33 postgres 1d395ef92a41175c81bf7da2cb7fb8cb postgres-multi fba0b36e29a3e019a9529049008ebcc6 preserve-libs ef207dc62baddfddfd39a164d9797648 toolchain-funcs f164325a2cdb5b3ea39311d483988861 user 8bc2845510e2109af75e3eeac607ec81 vcs-clean 2a0f74a496fa2b1552c4f3398258b7bf versionator 2352c3fc97241f6a02042773c8287748
_md5_=9658699f47ffc1ced8ac231998450190

@ -0,0 +1,15 @@
DEFINED_PHASES=compile configure install postinst prepare setup test
DEPEND=postgres_targets_postgres11? ( dev-db/postgresql:11=[server] ) postgres_targets_postgres10? ( dev-db/postgresql:10=[server] ) postgres_targets_postgres9_6? ( dev-db/postgresql:9.6=[server] ) postgres_targets_postgres9_5? ( dev-db/postgresql:9.5=[server] ) postgres_targets_postgres9_4? ( dev-db/postgresql:9.4=[server] ) postgres_targets_postgres9_3? ( dev-db/postgresql:9.3=[server] ) dev-libs/json-c:= dev-libs/libxml2:2 >=sci-libs/geos-3.5.0 >=sci-libs/proj-4.6.0 >=sci-libs/gdal-1.10.0 address-standardizer? ( dev-libs/libpcre ) gtk? ( x11-libs/gtk+:2 ) mapbox? ( dev-libs/protobuf ) doc? ( app-text/docbook-xsl-stylesheets app-text/docbook-xml-dtd:4.5 dev-libs/libxslt || ( media-gfx/imagemagick[png] media-gfx/graphicsmagick[imagemagick,png] ) ) virtual/pkgconfig test? ( dev-util/cunit ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
DESCRIPTION=Geographic Objects for PostgreSQL
EAPI=6
HOMEPAGE=http://postgis.net
IUSE=address-standardizer doc gtk static-libs mapbox test topology postgres_targets_postgres11 postgres_targets_postgres10 postgres_targets_postgres9_6 postgres_targets_postgres9_5 postgres_targets_postgres9_4 postgres_targets_postgres9_3
KEYWORDS=~amd64 ~x86 ~amd64-linux ~x86-linux
LICENSE=GPL-2
RDEPEND=postgres_targets_postgres11? ( dev-db/postgresql:11=[server] ) postgres_targets_postgres10? ( dev-db/postgresql:10=[server] ) postgres_targets_postgres9_6? ( dev-db/postgresql:9.6=[server] ) postgres_targets_postgres9_5? ( dev-db/postgresql:9.5=[server] ) postgres_targets_postgres9_4? ( dev-db/postgresql:9.4=[server] ) postgres_targets_postgres9_3? ( dev-db/postgresql:9.3=[server] ) dev-libs/json-c:= dev-libs/libxml2:2 >=sci-libs/geos-3.5.0 >=sci-libs/proj-4.6.0 >=sci-libs/gdal-1.10.0 address-standardizer? ( dev-libs/libpcre ) gtk? ( x11-libs/gtk+:2 ) mapbox? ( dev-libs/protobuf )
REQUIRED_USE=test? ( doc ) || ( postgres_targets_postgres11 postgres_targets_postgres10 postgres_targets_postgres9_6 postgres_targets_postgres9_5 postgres_targets_postgres9_4 postgres_targets_postgres9_3 )
RESTRICT=test
SLOT=0
SRC_URI=http://download.osgeo.org/postgis/source/postgis-2.5.1.tar.gz
_eclasses_=autotools 1bf086cdd7356f5c9a4acd9727bd2065 desktop b1d22ac8bdd4679ab79c71aca235009d epatch a1bf4756dba418a7238f3be0cb010c54 estack 43ddf5aaffa7a8d0482df54d25a66a1f eutils 6e6c2737b59a4b982de6fb3ecefd87f8 libtool f143db5a74ccd9ca28c1234deffede96 ltprune 08f9e1d9ee0af8f5d9a7854efbcd8c0e multibuild 40fe59465edacd730c644ec2bc197809 multilib b2f01ad412baf81650c23fcf0975fa33 postgres 1d395ef92a41175c81bf7da2cb7fb8cb postgres-multi fba0b36e29a3e019a9529049008ebcc6 preserve-libs ef207dc62baddfddfd39a164d9797648 toolchain-funcs f164325a2cdb5b3ea39311d483988861 user 8bc2845510e2109af75e3eeac607ec81 vcs-clean 2a0f74a496fa2b1552c4f3398258b7bf versionator 2352c3fc97241f6a02042773c8287748
_md5_=9658699f47ffc1ced8ac231998450190

@ -10,4 +10,4 @@ RDEPEND=elibc_glibc? ( >=sys-apps/util-linux-2.16 ) elibc_mintlib? ( >=sys-apps/
SLOT=1/1.6
SRC_URI=mirror://apache/apr/apr-1.6.5.tar.bz2
_eclasses_=autotools 1bf086cdd7356f5c9a4acd9727bd2065 libtool f143db5a74ccd9ca28c1234deffede96 multilib b2f01ad412baf81650c23fcf0975fa33 toolchain-funcs f164325a2cdb5b3ea39311d483988861
_md5_=5289636c8dc03c6e86941da9da1a2377
_md5_=f3c02dcf0b57724ca06b9a643ae80241

@ -1,13 +1,13 @@
BDEPEND=sys-devel/flex sys-devel/libtool virtual/pkgconfig nls? ( sys-devel/gettext )
DEFINED_PHASES=compile configure install prepare test
DEPEND=sys-devel/flex sys-devel/libtool virtual/pkgconfig nls? ( sys-devel/gettext )
DESCRIPTION=a configuration file parser library
EAPI=6
EAPI=7
HOMEPAGE=https://github.com/martinh/libconfuse
IUSE=nls static-libs abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_ppc_32 abi_ppc_64 abi_s390_32 abi_s390_64
KEYWORDS=~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris
LICENSE=ISC
RDEPEND=nls? ( virtual/libintl[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] )
SLOT=0/2.0.0
SRC_URI=https://github.com/martinh/libconfuse/releases/download/v3.2.1/confuse-3.2.1.tar.xz
_eclasses_=desktop b1d22ac8bdd4679ab79c71aca235009d epatch a1bf4756dba418a7238f3be0cb010c54 estack 43ddf5aaffa7a8d0482df54d25a66a1f eutils 6e6c2737b59a4b982de6fb3ecefd87f8 ltprune 08f9e1d9ee0af8f5d9a7854efbcd8c0e multibuild 40fe59465edacd730c644ec2bc197809 multilib b2f01ad412baf81650c23fcf0975fa33 multilib-build b42436dc1260f475af229754c165cb6b multilib-minimal 8bddda43703ba94d8341f4e247f97566 preserve-libs ef207dc62baddfddfd39a164d9797648 toolchain-funcs f164325a2cdb5b3ea39311d483988861 vcs-clean 2a0f74a496fa2b1552c4f3398258b7bf
_md5_=bed93f354f5a9827a5808278c1e0f0d0
SRC_URI=https://github.com/martinh/libconfuse/releases/download/v3.2.2/confuse-3.2.2.tar.xz
_eclasses_=multibuild 40fe59465edacd730c644ec2bc197809 multilib b2f01ad412baf81650c23fcf0975fa33 multilib-build b42436dc1260f475af229754c165cb6b multilib-minimal 8bddda43703ba94d8341f4e247f97566 toolchain-funcs f164325a2cdb5b3ea39311d483988861
_md5_=d3566159cfc7ad3190bbcb4483a333c0

@ -1,14 +0,0 @@
DEFINED_PHASES=install postinst prepare prerm setup
DEPEND=|| ( virtual/httpd-cgi virtual/httpd-fastcgi ) >=app-admin/webapp-config-1.50.15
DESCRIPTION=A browser-based multilingual IMAP client with an application-like user interface
EAPI=6
HOMEPAGE=https://roundcube.net
IUSE=enigma ldap managesieve mysql postgres sqlite ssl spell vhosts
KEYWORDS=amd64 arm ppc ppc64 ~sparc x86
LICENSE=GPL-3 BSD PHP-2.02 PHP-3 MIT public-domain
RDEPEND=|| ( virtual/httpd-cgi virtual/httpd-fastcgi ) >=dev-lang/php-5.4.0[filter,gd,iconv,json,ldap?,pdo,postgres?,session,sockets,sqlite?,ssl?,unicode,xml] >=dev-php/PEAR-Auth_SASL-1.1.0 >=dev-php/PEAR-Mail_Mime-1.10.0 >=dev-php/PEAR-Mail_mimeDecode-1.5.5 >=dev-php/PEAR-Net_IDNA2-0.2.0 >=dev-php/PEAR-Net_SMTP-1.7.1 >=dev-php/PEAR-Net_Socket-1.2.1 dev-php/PEAR-Console_CommandLine dev-php/PEAR-Console_Getopt dev-php/PEAR-Exception virtual/httpd-php enigma? ( >=dev-php/PEAR-Crypt_GPG-1.6.0 app-crypt/gnupg ) ldap? ( >=dev-php/PEAR-Net_LDAP2-2.2.0 dev-php/PEAR-Net_LDAP3 ) managesieve? ( >=dev-php/PEAR-Net_Sieve-1.4.0 ) mysql? ( || ( dev-lang/php[mysql] dev-lang/php[mysqli] ) ) spell? ( dev-lang/php[curl,spell] ) >=app-admin/webapp-config-1.50.15
REQUIRED_USE=|| ( mysql postgres sqlite )
SLOT=1.3.6
SRC_URI=https://github.com/roundcube/roundcubemail/releases/download/1.3.6/roundcubemail-1.3.6-complete.tar.gz
_eclasses_=webapp 6ae2395d7f341093c36057cb4f69101a
_md5_=b6ee64405f76f11570058a03be3932d8

@ -1,14 +0,0 @@
DEFINED_PHASES=install postinst prepare prerm setup
DEPEND=|| ( virtual/httpd-cgi virtual/httpd-fastcgi ) >=app-admin/webapp-config-1.50.15
DESCRIPTION=A browser-based multilingual IMAP client with an application-like user interface
EAPI=6
HOMEPAGE=https://roundcube.net
IUSE=change-password enigma ldap managesieve mysql postgres sqlite ssl spell vhosts
KEYWORDS=amd64 arm ppc ppc64 sparc x86
LICENSE=GPL-3 BSD PHP-2.02 PHP-3 MIT public-domain
RDEPEND=|| ( virtual/httpd-cgi virtual/httpd-fastcgi ) >=dev-lang/php-5.4.0[filter,gd,iconv,json,ldap?,pdo,postgres?,session,sqlite?,ssl?,unicode,xml] >=dev-php/PEAR-Auth_SASL-1.1.0 >=dev-php/PEAR-Mail_Mime-1.10.0 >=dev-php/PEAR-Mail_mimeDecode-1.5.5 >=dev-php/PEAR-Net_IDNA2-0.2.0 >=dev-php/PEAR-Net_SMTP-1.7.1 virtual/httpd-php change-password? ( >=dev-php/PEAR-Net_Socket-1.2.1 dev-lang/php[sockets] ) enigma? ( >=dev-php/PEAR-Crypt_GPG-1.6.0 app-crypt/gnupg ) ldap? ( >=dev-php/PEAR-Net_LDAP2-2.2.0 dev-php/PEAR-Net_LDAP3 ) managesieve? ( >=dev-php/PEAR-Net_Sieve-1.4.0 ) mysql? ( || ( dev-lang/php[mysql] dev-lang/php[mysqli] ) ) spell? ( dev-lang/php[curl,spell] ) >=app-admin/webapp-config-1.50.15
REQUIRED_USE=|| ( mysql postgres sqlite )
SLOT=1.3.7
SRC_URI=https://github.com/roundcube/roundcubemail/releases/download/1.3.7/roundcubemail-1.3.7-complete.tar.gz
_eclasses_=webapp 6ae2395d7f341093c36057cb4f69101a
_md5_=75f9aeb3dae82bab26d0c06d5702f0c5

@ -1,13 +0,0 @@
DEFINED_PHASES=compile configure install prepare
DEPEND=tcpd? ( sys-apps/tcp-wrappers ) readline? ( sys-libs/readline ) pcre? ( dev-libs/libpcre ) virtual/pkgconfig
DESCRIPTION=Advanced TFTP implementation client/server
EAPI=5
HOMEPAGE=ftp://ftp.mamalinux.com/pub/atftp/
IUSE=selinux tcpd readline pcre
KEYWORDS=amd64 arm ppc ppc64 ~s390 sparc x86
LICENSE=GPL-2
RDEPEND=tcpd? ( sys-apps/tcp-wrappers ) readline? ( sys-libs/readline ) pcre? ( dev-libs/libpcre ) !net-ftp/netkit-tftp !net-ftp/tftp-hpa !net-ftp/uftpd selinux? ( sec-policy/selinux-tftp )
SLOT=0
SRC_URI=ftp://ftp.mamalinux.com/pub/atftp/atftp-0.7.tar.gz mirror://debian/pool/main/a/atftp/atftp_0.7-11.diff.gz
_eclasses_=desktop b1d22ac8bdd4679ab79c71aca235009d epatch a1bf4756dba418a7238f3be0cb010c54 estack 43ddf5aaffa7a8d0482df54d25a66a1f eutils 6e6c2737b59a4b982de6fb3ecefd87f8 flag-o-matic 55aaa148741116aa54ad0d80e361818e ltprune 08f9e1d9ee0af8f5d9a7854efbcd8c0e multilib b2f01ad412baf81650c23fcf0975fa33 preserve-libs ef207dc62baddfddfd39a164d9797648 systemd 47c677ae1d7b69031f11f630ac09f0d1 toolchain-funcs f164325a2cdb5b3ea39311d483988861 vcs-clean 2a0f74a496fa2b1552c4f3398258b7bf
_md5_=b0f4b7d8670decdd639558bf215652c6

@ -10,4 +10,4 @@ RDEPEND=tcpd? ( sys-apps/tcp-wrappers ) readline? ( sys-libs/readline:0= ) pcre?
SLOT=0
SRC_URI=ftp://ftp.mamalinux.com/pub/atftp/atftp-0.7.tar.gz mirror://debian/pool/main/a/atftp/atftp_0.7-11.diff.gz
_eclasses_=autotools 1bf086cdd7356f5c9a4acd9727bd2065 desktop b1d22ac8bdd4679ab79c71aca235009d epatch a1bf4756dba418a7238f3be0cb010c54 estack 43ddf5aaffa7a8d0482df54d25a66a1f eutils 6e6c2737b59a4b982de6fb3ecefd87f8 flag-o-matic 55aaa148741116aa54ad0d80e361818e libtool f143db5a74ccd9ca28c1234deffede96 ltprune 08f9e1d9ee0af8f5d9a7854efbcd8c0e multilib b2f01ad412baf81650c23fcf0975fa33 preserve-libs ef207dc62baddfddfd39a164d9797648 systemd 47c677ae1d7b69031f11f630ac09f0d1 toolchain-funcs f164325a2cdb5b3ea39311d483988861 vcs-clean 2a0f74a496fa2b1552c4f3398258b7bf
_md5_=1f24d63409bbcc0709eafec71eb3ef07
_md5_=8dd8083edaaf75be364c078a93e7aba1

@ -0,0 +1,13 @@
DEFINED_PHASES=configure install prepare unpack
DEPEND=tcpd? ( sys-apps/tcp-wrappers ) readline? ( sys-libs/readline:0= ) pcre? ( dev-libs/libpcre ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4 virtual/pkgconfig
DESCRIPTION=Advanced TFTP implementation client/server
EAPI=6
HOMEPAGE=https://sourceforge.net/projects/atftp/
IUSE=selinux tcpd readline pcre
KEYWORDS=amd64 arm ppc ppc64 ~s390 sparc x86
LICENSE=GPL-2
RDEPEND=tcpd? ( sys-apps/tcp-wrappers ) readline? ( sys-libs/readline:0= ) pcre? ( dev-libs/libpcre ) !net-ftp/netkit-tftp !net-ftp/tftp-hpa !net-ftp/uftpd selinux? ( sec-policy/selinux-tftp )
SLOT=0
SRC_URI=mirror://sourceforge/atftp/atftp-0.7.dfsg.tar.gz mirror://debian/pool/main/a/atftp/atftp_0.7-11.diff.gz
_eclasses_=autotools 1bf086cdd7356f5c9a4acd9727bd2065 desktop b1d22ac8bdd4679ab79c71aca235009d epatch a1bf4756dba418a7238f3be0cb010c54 estack 43ddf5aaffa7a8d0482df54d25a66a1f eutils 6e6c2737b59a4b982de6fb3ecefd87f8 flag-o-matic 55aaa148741116aa54ad0d80e361818e libtool f143db5a74ccd9ca28c1234deffede96 ltprune 08f9e1d9ee0af8f5d9a7854efbcd8c0e multilib b2f01ad412baf81650c23fcf0975fa33 preserve-libs ef207dc62baddfddfd39a164d9797648 systemd 47c677ae1d7b69031f11f630ac09f0d1 toolchain-funcs f164325a2cdb5b3ea39311d483988861 vcs-clean 2a0f74a496fa2b1552c4f3398258b7bf
_md5_=b256471df5483a98a174dcec002fc6ab

@ -0,0 +1,13 @@
DEFINED_PHASES=compile configure install postinst prepare setup test
DEPEND=argon2? ( dev-libs/libsodium ) bzip2? ( app-arch/bzip2 ) caps? ( sys-libs/libcap ) kerberos? ( virtual/krb5 ) ldap? ( net-nds/openldap ) lua? ( dev-lang/lua:* ) lucene? ( >=dev-cpp/clucene-2.3 ) lzma? ( app-arch/xz-utils ) lz4? ( app-arch/lz4 ) mysql? ( virtual/mysql ) pam? ( virtual/pam ) postgres? ( dev-db/postgresql:* !dev-db/postgresql[ldap,threads] ) selinux? ( sec-policy/selinux-dovecot ) solr? ( net-misc/curl dev-libs/expat ) sqlite? ( dev-db/sqlite:* ) !libressl? ( dev-libs/openssl:0 ) libressl? ( dev-libs/libressl ) tcpd? ( sys-apps/tcp-wrappers ) textcat? ( app-text/libexttextcat ) vpopmail? ( net-mail/vpopmail ) zlib? ( sys-libs/zlib ) virtual/libiconv dev-libs/icu:= >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4 virtual/pkgconfig
DESCRIPTION=An IMAP and POP3 server written with security primarily in mind
EAPI=6
HOMEPAGE=https://www.dovecot.org/
IUSE=kerberos ldap lua mysql pam postgres sqlite vpopmail bzip2 lzma lz4 zlib argon2 caps doc ipv6 libressl lucene managesieve selinux sieve solr static-libs suid tcpd textcat
KEYWORDS=~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86
LICENSE=LGPL-2.1 MIT
RDEPEND=argon2? ( dev-libs/libsodium ) bzip2? ( app-arch/bzip2 ) caps? ( sys-libs/libcap ) kerberos? ( virtual/krb5 ) ldap? ( net-nds/openldap ) lua? ( dev-lang/lua:* ) lucene? ( >=dev-cpp/clucene-2.3 ) lzma? ( app-arch/xz-utils ) lz4? ( app-arch/lz4 ) mysql? ( virtual/mysql ) pam? ( virtual/pam ) postgres? ( dev-db/postgresql:* !dev-db/postgresql[ldap,threads] ) selinux? ( sec-policy/selinux-dovecot ) solr? ( net-misc/curl dev-libs/expat ) sqlite? ( dev-db/sqlite:* ) !libressl? ( dev-libs/openssl:0 ) libressl? ( dev-libs/libressl ) tcpd? ( sys-apps/tcp-wrappers ) textcat? ( app-text/libexttextcat ) vpopmail? ( net-mail/vpopmail ) zlib? ( sys-libs/zlib ) virtual/libiconv dev-libs/icu:= net-mail/mailbase
SLOT=0
SRC_URI=https://dovecot.org/releases/2.3/dovecot-2.3.4.tar.gz sieve? ( https://pigeonhole.dovecot.org/releases/2.3/dovecot-2.3-pigeonhole-0.5.4.tar.gz ) managesieve? ( https://pigeonhole.dovecot.org/releases/2.3/dovecot-2.3-pigeonhole-0.5.4.tar.gz )
_eclasses_=autotools 1bf086cdd7356f5c9a4acd9727bd2065 estack 43ddf5aaffa7a8d0482df54d25a66a1f libtool f143db5a74ccd9ca28c1234deffede96 multilib b2f01ad412baf81650c23fcf0975fa33 ssl-cert a1a4daed6b2479901759d6fe367c4c29 systemd 47c677ae1d7b69031f11f630ac09f0d1 toolchain-funcs f164325a2cdb5b3ea39311d483988861 user 8bc2845510e2109af75e3eeac607ec81 versionator 2352c3fc97241f6a02042773c8287748
_md5_=20adf5d9f58579328738f100e319385a

@ -0,0 +1,12 @@
DEFINED_PHASES=compile configure install postinst postrm prepare test
DEPEND=dev-libs/libxml2:2 x11-libs/wxGTK:3.0 sys-devel/make >=dev-util/cmake-3.9.6 >=sys-apps/sed-4
DESCRIPTION=Graphical frontend to Maxima, using the wxWidgets toolkit
EAPI=6
HOMEPAGE=http://wxmaxima-developers.github.io/wxmaxima/
KEYWORDS=~amd64 ~ppc ~x86
LICENSE=GPL-2
RDEPEND=dev-libs/libxml2:2 x11-libs/wxGTK:3.0 media-fonts/jsmath sci-visualization/gnuplot[wxwidgets] sci-mathematics/maxima
SLOT=0
SRC_URI=https://github.com/wxMaxima-developers/wxmaxima/archive/Version-18.11.4.tar.gz -> wxmaxima-18.11.4.tar.gz
_eclasses_=cmake-utils f0bc1c175684130a76ab6c17f575d820 desktop b1d22ac8bdd4679ab79c71aca235009d epatch a1bf4756dba418a7238f3be0cb010c54 estack 43ddf5aaffa7a8d0482df54d25a66a1f eutils 6e6c2737b59a4b982de6fb3ecefd87f8 flag-o-matic 55aaa148741116aa54ad0d80e361818e gnome2-utils c6060f4ab634aca444c4b2176b0f3877 l10n 97f2753e3f1f3753d53d856c7c0bbb0b ltprune 08f9e1d9ee0af8f5d9a7854efbcd8c0e multilib b2f01ad412baf81650c23fcf0975fa33 multiprocessing cac3169468f893670dac3e7cb940e045 ninja-utils 132cbb376048d079b5a012f5467c4e7f preserve-libs ef207dc62baddfddfd39a164d9797648 toolchain-funcs f164325a2cdb5b3ea39311d483988861 vcs-clean 2a0f74a496fa2b1552c4f3398258b7bf wxwidgets ed63935305b6de2210ae97a407719d89 xdg-utils 93b2dfbb00a09161e1e7f6360c0f7f6b
_md5_=7cabfafbaa00508d6451788dce5d9be7

@ -1 +1 @@
Mon, 26 Nov 2018 10:08:36 +0000
Mon, 26 Nov 2018 13:08:38 +0000

@ -1 +1 @@
Mon Nov 26 10:08:35 UTC 2018
Mon Nov 26 13:08:38 UTC 2018

@ -1 +1 @@
Mon, 26 Nov 2018 10:30:01 +0000
Mon, 26 Nov 2018 13:30:01 +0000

@ -1 +1 @@
2dfa3027e3cf6e0d0453e453550e5070bf10597a 1543217563 2018-11-26T07:32:43+00:00
e59c9a01a14655acf765d29bf975ed4b3375813c 1543237421 2018-11-26T13:03:41+00:00

@ -1 +1 @@
1543226701 Mon 26 Nov 2018 10:05:01 AM UTC
1543237501 Mon 26 Nov 2018 01:05:01 PM UTC

@ -1 +1 @@
Mon, 26 Nov 2018 10:08:35 +0000
Mon, 26 Nov 2018 13:08:38 +0000

Binary file not shown.

@ -1,2 +1,3 @@
DIST atftp-0.7.dfsg.tar.gz 187992 BLAKE2B 8196c333ea8042879196ca9f9c656b4d60a332ed1d64a5738870e1d4fd5f108716da6769bf52759626ad3efce11946b5d6285ac9fbe46cb63e6e2d051fc7aeb3 SHA512 40d231c0bc0478fedb3eff9b4c540c62dd9bd6c40d9738e2db1813797a5d48e201720d43a48970ce250f1bb5b15460bb9b3d631c06f96c1a74775ecfb6d13f82
DIST atftp-0.7.tar.gz 202234 BLAKE2B 65ff486b6ef2b42b2a4737f121c2c36e8ff73838f3c10592c11020acdf2afdf0883fda8b39613e1cc35b47141fd29543a7ef2c3e2ead857033ad4f7181c91d04 SHA512 81c51b613a640f7db4d26da0fb891bda345d11d3f39e0af37f393d2abf619094c1de83f92f04ac75367f546cc70e37d7d47c1535c241c941036fd4df7863a440
DIST atftp_0.7-11.diff.gz 26055 BLAKE2B c9be58836b5a7e3943dd28dd4661abab5e86b1941c9a2b58786eebe702ab515cf1bc08bf44c8ab4157584a437e861e24eb0c833c1fa1bc774f7f8a2134b6cd27 SHA512 28747f8f3ef2fc3b122361f682fe26ba93acf09b190f61efb3cfcbb6bdeef78cfe1348aeaf1699003a7e02586579be670d85b65baad1b1165a4bec9a9279adb5

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6

@ -1,16 +1,16 @@
# Copyright 1999-2014 Gentoo Foundation
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit eutils flag-o-matic systemd
EAPI=6
inherit autotools flag-o-matic systemd
DEBIAN_PV="11"
DEBIAN_A="${PN}_${PV}-${DEBIAN_PV}.diff.gz"
DEBIAN_A="${PN}_${PV}-${DEBIAN_PV}.diff"
DESCRIPTION="Advanced TFTP implementation client/server"
HOMEPAGE="ftp://ftp.mamalinux.com/pub/atftp/"
SRC_URI="ftp://ftp.mamalinux.com/pub/atftp/${P}.tar.gz
mirror://debian/pool/main/a/${PN}/${DEBIAN_A}"
HOMEPAGE="https://sourceforge.net/projects/atftp/"
SRC_URI="mirror://sourceforge/${PN}/${P}.dfsg.tar.gz
mirror://debian/pool/main/a/${PN}/${DEBIAN_A}.gz"
LICENSE="GPL-2"
SLOT="0"
@ -18,7 +18,7 @@ KEYWORDS="amd64 arm ppc ppc64 ~s390 sparc x86"
IUSE="selinux tcpd readline pcre"
DEPEND="tcpd? ( sys-apps/tcp-wrappers )
readline? ( sys-libs/readline )
readline? ( sys-libs/readline:0= )
pcre? ( dev-libs/libpcre )"
RDEPEND="${DEPEND}
!net-ftp/netkit-tftp
@ -26,23 +26,33 @@ RDEPEND="${DEPEND}
!net-ftp/uftpd
selinux? ( sec-policy/selinux-tftp )"
PATCHES=(
"${WORKDIR}/${DEBIAN_A}"
"${FILESDIR}/${P}-pcre.patch"
"${FILESDIR}/${P}-password.patch"
"${FILESDIR}/${P}-tests.patch"
"${FILESDIR}/${P}-glibc24.patch"
"${FILESDIR}/${P}-blockno.patch"
"${FILESDIR}/${P}-spaced_filename.patch"
"${FILESDIR}/${P}-illreply.patch"
"${FILESDIR}/${P}-CFLAGS.patch"
)
src_unpack() {
default
mv atftp-0.7.dfsg atftp-0.7 || die
}
src_prepare() {
epatch "${DISTDIR}"/${DEBIAN_A}
epatch "${FILESDIR}"/${P}-pcre.patch
epatch "${FILESDIR}"/${P}-password.patch
epatch "${FILESDIR}"/${P}-tests.patch
epatch "${FILESDIR}"/${P}-glibc24.patch
epatch "${FILESDIR}"/${P}-blockno.patch
epatch "${FILESDIR}"/${P}-spaced_filename.patch
epatch "${FILESDIR}"/${P}-illreply.patch
# remove upstream's broken CFLAGS
sed -i.orig -e \
'/^CFLAGS="-g -Wall -D_REENTRANT"/s,".*","",g' \
"${S}"/configure
append-cppflags -D_REENTRANT -DRATE_CONTROL
# fix #561720 by restoring pre-GCC5 inline semantics
append-cflags -std=gnu89
default
eautoreconf
}
src_configure() {
append-flags -D_REENTRANT -DRATE_CONTROL
econf \
$(use_enable tcpd libwrap) \
$(use_enable readline libreadline) \
@ -50,12 +60,8 @@ src_configure() {
--enable-mtftp
}
src_compile() {
emake CFLAGS="${CFLAGS}"
}
src_install() {
emake install DESTDIR="${D}"
default
newinitd "${FILESDIR}"/atftp.init atftp
newconfd "${FILESDIR}"/atftp.confd atftp
@ -67,6 +73,6 @@ src_install() {
dodoc "${S}"/docs/*
docinto test
cd "${S}"/test
cd "${S}"/test || die
dodoc load.sh mtftp.conf pcre_pattern.txt test.sh test_suite.txt
}

Binary file not shown.

@ -6,5 +6,7 @@ DIST dovecot-2.2.34.tar.gz 6181270 BLAKE2B dfdb1e6812574e79595202e830167400569ad
DIST dovecot-2.2.36.tar.gz 6239707 BLAKE2B 702bb24265b5fefec9c484b3cca890fb1536ff94d1f2d6c99ee8c294ee4e38091eef5a727f0d4bd03700263286361f55747a22fa74def350710f9e49a4b10580 SHA512 327c50971e276f6013ca7f7bb59498ee88d76c9f8419bd18ee531cf10142214350fb81c6d64eaef73ee01765dd0fcf4142ab146ed67d9d7d86d5a58d41cf8db5
DIST dovecot-2.3-pigeonhole-0.5.2.tar.gz 1814618 BLAKE2B b1187021673429bee1b45a1f657bea995e9881257919ff55bac63106d65963294ee2b3829167c6d50e351c4bc3c7e88a5ccfb757308d2500c5d4146246145074 SHA512 6bc24d9241f94db795a012346d9bc94b5cc7d7ce0175c03213c2b5d179d80dec95e9bdbd50bed628c8f9f7c51639e692ba5e429212a3b4a654c1e4764ac4f11c
DIST dovecot-2.3-pigeonhole-0.5.3.tar.gz 1827329 BLAKE2B 0d484906022217b1082233e6a3a20c17bafc68b90ce1c5c956c714d111ffb9ab49a3794e199695bb61a1f3ad6bd46e56e63ee3c140cb01eaa7589ef7bd754b19 SHA512 8403b1976a915836ba875b96825446d46e0d8c7ff245ed1f2b014347fdc78a81f9ed6dbd05bd3b4f1f7072edc5e9a302201cdb375de44436adcbb83919f203f5
DIST dovecot-2.3-pigeonhole-0.5.4.tar.gz 1831570 BLAKE2B d3e7dea3cdcc2b44476401046f6bd6a110a026d523ada2a898b5c99f509cfe37771dcfd31990139f5f4c1c6b405a9f27359cfd27a6e95525515a3aabb71538f8 SHA512 9c82cce7540f8ab66e2e370e0220c99048d6ac53ed680cd763e0b03d0200e2451cee4303ef97b87a16e7248e1c73b92ba91b47a2a20c75cb2cd62695a28046f3
DIST dovecot-2.3.2.1.tar.gz 6797491 BLAKE2B 92b88fd0f0cb8ed6c418bf27c2e1fc4efe13f1ccfb4948ce5eed1a4e76a4e96f0d6770d9841026ec5a515310ebaa4b335063e3516de454db8ba06cc4ee5a00ec SHA512 c085a0d04925485423086736a3c7d919ad0ca9efeff005890382da5333edb68c7d23ccb89fbe2ac44f8f016fc993bf2c669e450794c3ab13463676cbb47c7bf7
DIST dovecot-2.3.3.tar.gz 6851107 BLAKE2B 87d6e11c8ff59cfe0b49d3561c307535efb09296af617530a4d5a89b4fc12055d006d1b283a4de076f27d59deb64324b96f28620958ad85c38197710c5decdf7 SHA512 8666c4f92f7df883067540f85be9d03dbe6815b58a7f5de55b4292e986e9a2a1ef52c7e0c72dde2bc781fe40d57488b78a99b6b813745b8e4683f1a2fdc1f2ff
DIST dovecot-2.3.4.tar.gz 6924178 BLAKE2B 13e52a1b04036d58e68d762c9330dd5efedbf2421d658a8b657ca59e311b899a9b4a84fd754678ee67cd5b60f47b5a5ccd6a3fa08fafca7413c8b1e6ecd2fb51 SHA512 9e97eb08c319c417e8abcb430b3e6c87ed5aa820d6288656fdfd958ff34664f67202a66e4846763bfc85b309b116cea8012e49dab98b478c57974cc178a37a5a

@ -0,0 +1,293 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
# do not add a ssl USE flag. ssl is mandatory
SSL_DEPS_SKIP=1
inherit autotools ssl-cert systemd user versionator
MY_P="${P/_/.}"
#MY_S="${PN}-ce-${PV}"
major_minor="$(get_version_component_range 1-2)"
sieve_version="0.5.4"
if [[ ${PV} == *_rc* ]] ; then
rc_dir="rc/"
else
rc_dir=""
fi
SRC_URI="https://dovecot.org/releases/${major_minor}/${rc_dir}${MY_P}.tar.gz
sieve? (
https://pigeonhole.dovecot.org/releases/${major_minor}/${rc_dir}${PN}-${major_minor}-pigeonhole-${sieve_version}.tar.gz
)
managesieve? (
https://pigeonhole.dovecot.org/releases/${major_minor}/${rc_dir}${PN}-${major_minor}-pigeonhole-${sieve_version}.tar.gz
) "
DESCRIPTION="An IMAP and POP3 server written with security primarily in mind"
HOMEPAGE="https://www.dovecot.org/"
SLOT="0"
LICENSE="LGPL-2.1 MIT"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
IUSE_DOVECOT_AUTH="kerberos ldap lua mysql pam postgres sqlite vpopmail"
IUSE_DOVECOT_COMPRESS="bzip2 lzma lz4 zlib"
IUSE_DOVECOT_OTHER="argon2 caps doc ipv6 libressl lucene managesieve selinux sieve solr static-libs suid tcpd textcat"
IUSE="${IUSE_DOVECOT_AUTH} ${IUSE_DOVECOT_STORAGE} ${IUSE_DOVECOT_COMPRESS} ${IUSE_DOVECOT_OTHER}"
DEPEND="argon2? ( dev-libs/libsodium )
bzip2? ( app-arch/bzip2 )
caps? ( sys-libs/libcap )
kerberos? ( virtual/krb5 )
ldap? ( net-nds/openldap )
lua? ( dev-lang/lua:* )
lucene? ( >=dev-cpp/clucene-2.3 )
lzma? ( app-arch/xz-utils )
lz4? ( app-arch/lz4 )
mysql? ( virtual/mysql )
pam? ( virtual/pam )
postgres? ( dev-db/postgresql:* !dev-db/postgresql[ldap,threads] )
selinux? ( sec-policy/selinux-dovecot )
solr? ( net-misc/curl dev-libs/expat )
sqlite? ( dev-db/sqlite:* )
!libressl? ( dev-libs/openssl:0 )
libressl? ( dev-libs/libressl )
tcpd? ( sys-apps/tcp-wrappers )
textcat? ( app-text/libexttextcat )
vpopmail? ( net-mail/vpopmail )
zlib? ( sys-libs/zlib )
virtual/libiconv
dev-libs/icu:="
RDEPEND="${DEPEND}
net-mail/mailbase"
PATCHES=(
"${FILESDIR}/${PN}-userdb-passwd-fix.patch"
)
pkg_setup() {
if use managesieve && ! use sieve; then
ewarn "managesieve USE flag selected but sieve USE flag unselected"
ewarn "sieve USE flag will be turned on"
fi
# default internal user
enewgroup dovecot 97
enewuser dovecot 97 -1 /dev/null dovecot
# default login user
enewuser dovenull -1 -1 /dev/null
# add "mail" group for suid'ing. Better security isolation.
if use suid; then
enewgroup mail
fi
}
src_prepare() {
default
# bug 657108
# elibtoolize
eautoreconf
}
src_configure() {
local conf=""
if use postgres || use mysql || use sqlite; then
conf="${conf} --with-sql"
fi
# turn valgrind tests off. Bug #340791
VALGRIND=no econf \
--with-rundir="${EPREFIX}/run/dovecot" \
--with-statedir="${EPREFIX}/var/lib/dovecot" \
--with-moduledir="${EPREFIX}/usr/$(get_libdir)/dovecot" \
--without-stemmer \
--disable-rpath \
--without-libbsd \
--with-icu \
--with-ssl \
--with-systemdsystemunitdir="$(systemd_get_systemunitdir)" \
$( use_with argon2 sodium ) \
$( use_with bzip2 bzlib ) \
$( use_with caps libcap ) \
$( use_with kerberos gssapi ) \
$( use_with lua ) \
$( use_with ldap ) \
$( use_with lucene ) \
$( use_with lz4 ) \
$( use_with lzma ) \
$( use_with mysql ) \
$( use_with pam ) \
$( use_with postgres pgsql ) \
$( use_with sqlite ) \
$( use_with solr ) \
$( use_with tcpd libwrap ) \
$( use_with textcat ) \
$( use_with vpopmail ) \
$( use_with zlib ) \
$( use_enable static-libs static ) \
${conf}
if use sieve || use managesieve ; then
# The sieve plugin needs this file to be build to determine the plugin
# directory and the list of libraries to link to.
emake dovecot-config
cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
econf \
$( use_enable static-libs static ) \
--localstatedir="${EPREFIX%/}/var" \
--enable-shared \
--with-dovecot="${S}" \
$( use_with managesieve )
fi
}
src_compile() {
default
if use sieve || use managesieve ; then
cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
fi
}
src_test() {
default
if use sieve || use managesieve ; then
cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
default
fi
}
src_install () {
default
# insecure:
# use suid && fperms u+s /usr/libexec/dovecot/deliver
# better:
if use suid;then
einfo "Changing perms to allow deliver to be suided"
fowners root:mail "${EPREFIX}/usr/libexec/dovecot/dovecot-lda"
fperms 4750 "${EPREFIX}/usr/libexec/dovecot/dovecot-lda"
fi
newinitd "${FILESDIR}"/dovecot.init-r6 dovecot
rm -rf "${ED}"/usr/share/doc/dovecot
dodoc AUTHORS NEWS README TODO
dodoc doc/*.{txt,cnf,xml,sh}
docinto example-config
dodoc doc/example-config/*.{conf,ext}
docinto example-config/conf.d
dodoc doc/example-config/conf.d/*.{conf,ext}
docinto wiki
dodoc doc/wiki/*
doman doc/man/*.{1,7}
# Create the dovecot.conf file from the dovecot-example.conf file that
# the dovecot folks nicely left for us....
local conf="${ED}/etc/dovecot/dovecot.conf"
local confd="${ED}/etc/dovecot/conf.d"
insinto /etc/dovecot
doins doc/example-config/*.{conf,ext}
insinto /etc/dovecot/conf.d
doins doc/example-config/conf.d/*.{conf,ext}
fperms 0600 "${EPREFIX}"/etc/dovecot/dovecot-{ldap,sql}.conf.ext
rm -f "${confd}/../README"
# .maildir is the Gentoo default
local mail_location="maildir:~/.maildir"
sed -i -e \
"s|#mail_location =|mail_location = ${mail_location}|" \
"${confd}/10-mail.conf" \
|| die "failed to update mail location settings in 10-mail.conf"
# We're using pam files (imap and pop3) provided by mailbase
if use pam; then
sed -i -e '/driver = pam/,/^[ \t]*}/ s|#args = dovecot|args = "\*"|' \
"${confd}/auth-system.conf.ext" \
|| die "failed to update PAM settings in auth-system.conf.ext"
# mailbase does not provide a sieve pam file
use managesieve && dosym imap /etc/pam.d/sieve
sed -i -e \
's/#!include auth-system.conf.ext/!include auth-system.conf.ext/' \
"${confd}/10-auth.conf" \
|| die "failed to update PAM settings in 10-auth.conf"
fi
# Disable ipv6 if necessary
if ! use ipv6; then
sed -i -e 's/^#listen = \*, ::/listen = \*/g' "${conf}" \
|| die "failed to update listen settings in dovecot.conf"
fi
# Update ssl cert locations
sed -i -e 's:^#ssl = yes:ssl = yes:' "${confd}/10-ssl.conf" \
|| die "ssl conf failed"
sed -i -e 's:^ssl_cert =.*:ssl_cert = </etc/ssl/dovecot/server.pem:' \
-e 's:^ssl_key =.*:ssl_key = </etc/ssl/dovecot/server.key:' \
"${confd}/10-ssl.conf" || die "failed to update SSL settings in 10-ssl.conf"
# Install SQL configuration
if use mysql || use postgres; then
sed -i -e \
's/#!include auth-sql.conf.ext/!include auth-sql.conf.ext/' \
"${confd}/10-auth.conf" || die "failed to update SQL settings in \
10-auth.conf"
fi
# Install LDAP configuration
if use ldap; then
sed -i -e \
's/#!include auth-ldap.conf.ext/!include auth-ldap.conf.ext/' \
"${confd}/10-auth.conf" \
|| die "failed to update ldap settings in 10-auth.conf"
fi
if use vpopmail; then
sed -i -e \
's/#!include auth-vpopmail.conf.ext/!include auth-vpopmail.conf.ext/' \
"${confd}/10-auth.conf" \
|| die "failed to update vpopmail settings in 10-auth.conf"
fi
if use sieve || use managesieve ; then
cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
emake DESTDIR="${ED}" install
sed -i -e \
's/^[[:space:]]*#mail_plugins = $mail_plugins/mail_plugins = sieve/' "${confd}/15-lda.conf" \
|| die "failed to update sieve settings in 15-lda.conf"
rm -rf "${ED}"/usr/share/doc/dovecot
docinto example-config/conf.d
dodoc doc/example-config/conf.d/*.conf
insinto /etc/dovecot/conf.d
doins doc/example-config/conf.d/90-sieve{,-extprograms}.conf
use managesieve && doins doc/example-config/conf.d/20-managesieve.conf
docinto sieve/rfc
dodoc doc/rfc/*.txt
docinto sieve/devel
dodoc doc/devel/DESIGN
docinto plugins
dodoc doc/plugins/*.txt
docinto extensions
dodoc doc/extensions/*.txt
docinto locations
dodoc doc/locations/*.txt
doman doc/man/*.{1,7}
fi
use static-libs || find "${ED}"/usr/lib* -name '*.la' -delete
}
pkg_postinst() {
# Let's not make a new certificate if we already have one
if ! [[ -e "${ROOT}"/etc/ssl/dovecot/server.pem && \
-e "${ROOT}"/etc/ssl/dovecot/server.key ]]; then
einfo "Creating SSL certificate"
SSL_ORGANIZATION="${SSL_ORGANIZATION:-Dovecot IMAP Server}"
install_cert /etc/ssl/dovecot/server
fi
elog "Please read http://wiki2.dovecot.org/Upgrading/ for upgrade notes."
}

@ -0,0 +1,62 @@
#!/sbin/openrc-run
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License, v2 or later
extra_commands="checkconfig"
extra_started_commands="reload"
depend() {
need localmount
before postfix
after bootmisc ldap mysql ntp-client ntpd postgresql saslauthd slapd
use logger net
}
checkconfig() {
DOVECOT_INSTANCE=${SVCNAME##*.}
if [ -n "${DOVECOT_INSTANCE}" -a "${SVCNAME}" != "dovecot" ]; then
DOVECOT_CONF=/etc/dovecot/dovecot.${DOVECOT_INSTANCE}.conf
else
DOVECOT_CONF=/etc/dovecot/dovecot.conf
fi
if [ ! -e ${DOVECOT_CONF} ]; then
eerror "You will need an ${DOVECOT_CONF} first"
return 1
fi
if [ -x /usr/sbin/dovecot ]; then
DOVECOT_BASEDIR=$(/usr/sbin/dovecot -c ${DOVECOT_CONF} config -h base_dir)
if [ $? -ne 0 ]; then
eerror "Error parsing ${DOVECOT_CONF}"
return 1
fi
else
eerror "dovecot not executable"
return 1
fi
DOVECOT_BASEDIR=${DOVECOT_BASEDIR:-/run/dovecot}
DOVECOT_PIDFILE=${DOVECOT_BASEDIR}/master.pid
}
start() {
checkconfig || return 1
ebegin "Starting ${SVCNAME}"
start-stop-daemon --start --exec /usr/sbin/dovecot \
--pidfile "${DOVECOT_PIDFILE}" -- -c "${DOVECOT_CONF}"
eend $?
}
stop() {
checkconfig || return 1
ebegin "Stopping ${SVCNAME}"
start-stop-daemon --stop --exec /usr/sbin/dovecot \
--pidfile "${DOVECOT_PIDFILE}"
eend $?
}
reload() {
checkconfig || return 1
ebegin "Reloading ${SVCNAME} configs and restarting auth/login processes"
start-stop-daemon --signal HUP --exec /usr/sbin/dovecot \
--pidfile "${DOVECOT_PIDFILE}"
eend $?
}

Binary file not shown.

@ -2,3 +2,4 @@ DIST wxmaxima-15.08.2.tar.gz 5592673 BLAKE2B cacb508cbcb24e27a43998ba0079b141179
DIST wxmaxima-18.02.0.tar.gz 10131174 BLAKE2B d2137d4dfb23244c677a64578ea8cd132514d6e80b39ed1ed938a64952fcd9928459a64ceafccd34ef925fea6161a79112da9e8091de2ba8f93b4137f3240692 SHA512 e40a5fa701bd40c279de95bc16269a72678443ef0bdb14c3770c81feeaf33ddfff6c10f00b32239adcdf696f2a449c6d88d168b732d1273764c98c6ff807fd84
DIST wxmaxima-18.10.0.tar.gz 12144997 BLAKE2B 78cfe2cfa5532271cc07eb7bb106b0c9708df4ae3086c02a859f51affe87dd813b3ca28b7fb1137cfb2acbef4f2ce12d2464c30a6dd39d47c028cf4f6c6b030e SHA512 b8cc4288db6bd673a7de7e05d3ff9e3dec1660a78944c2fcd80422cbb6102eea81de33dbc19e7f66e31e0a044be9e935a7f7323b855a1dd3302c3763e5c98196
DIST wxmaxima-18.10.2.tar.gz 12146348 BLAKE2B 3c43e807cd8eb2a7e2a6ec1cab82427a6e6df37d4d786639168008672a5763d545dd6387e969d0ff4d6db77d8155b7350a7673b273f00cb02c1779b82d64c35c SHA512 96cabe17a1df4134d991c4a1104da76375429038da03df6a09729b8afaf279788cb0859d723bb1c9cf3e24782f63aeb198b9407515108e0e637c48c410b70a37
DIST wxmaxima-18.11.4.tar.gz 12156776 BLAKE2B 75be0fb88402af011885616a646f7abcad25516ea9b0b375daf02edac5518b113188290262bc431e8bfb4836fc1f731982a1c41c62871818e4d2cc68c96ccb31 SHA512 964de93edc5c46e98de3de405b1873fa0ed594d54f1ddc030377b023110261cb1e6b0b08dbf210551888bf890e28d16e9b1698768c93dde413d5e1918cbd234e

@ -0,0 +1,52 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
WX_GTK_VER="3.0"
PLOCALES="ca cs da de el es fi fr gl hu it ja kab nb pl pt_BR ru tr uk zh_CN zh_TW"
inherit cmake-utils wxwidgets l10n xdg-utils gnome2-utils
DESCRIPTION="Graphical frontend to Maxima, using the wxWidgets toolkit"
HOMEPAGE="http://wxmaxima-developers.github.io/wxmaxima/"
SRC_URI="https://github.com/wxMaxima-developers/wxmaxima/archive/Version-${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""
S="${WORKDIR}"/${PN}-Version-${PV}
DEPEND="
dev-libs/libxml2:2
x11-libs/wxGTK:${WX_GTK_VER}"
RDEPEND="${DEPEND}
media-fonts/jsmath
sci-visualization/gnuplot[wxwidgets]
sci-mathematics/maxima"
src_prepare() {
setup-wxwidgets
cmake-utils_src_prepare
sed -e "s|share/doc/${PN}|share/doc/${PF}|g" -i "${S}"/info/CMakeLists.txt \
|| die "sed info/CMakeLists.txt failed"
# locales
rm_po() {
rm "${S}"/locales/${1}.po || die "rm ${1}.po failed"
}
l10n_find_plocales_changes "${S}"/locales '' '.po'
l10n_for_each_disabled_locale_do rm_po
}
pkg_postinst() {
xdg_desktop_database_update
xdg_mimeinfo_database_update
gnome2_icon_cache_update
}
pkg_postrm() {
xdg_desktop_database_update
xdg_mimeinfo_database_update
gnome2_icon_cache_update
}
Loading…
Cancel
Save